# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "elfo-core"
version = "0.1.5"
authors = ["Paul Loyd <pavelko95@gmail.com>"]
description = "The core of the system"
license = "MIT"
[dependencies.arc-swap]
version = "1.2.0"

[dependencies.dashmap]
version = "4.0.2"

[dependencies.derive_more]
version = "0.99.11"

[dependencies.elfo-macros]
version = "0.1"

[dependencies.futures]
version = "0.3.12"

[dependencies.futures-intrusive]
version = "0.4.0"

[dependencies.fxhash]
version = "0.2.1"

[dependencies.linkme]
version = "0.2.4"

[dependencies.parking_lot]
version = "0.11.1"

[dependencies.serde]
version = "1.0.120"
features = ["derive", "rc"]

[dependencies.serde-value]
version = "0.7.0"

[dependencies.sharded-slab]
version = "0.1.1"

[dependencies.slotmap]
version = "1.0.2"

[dependencies.smallbox]
version = "0.8.0"

[dependencies.smallvec]
version = "1.6.1"
features = ["union"]

[dependencies.static_assertions]
version = "1.1.0"

[dependencies.tokio]
version = "1"
features = ["rt", "sync", "time"]

[dependencies.tracing]
version = "0.1.25"
[dev-dependencies.anyhow]
version = "1.0.40"

[dev-dependencies.tokio]
version = "1"
features = ["full"]

[dev-dependencies.tracing-subscriber]
version = "0.2.15"

[features]
test-util = ["tokio/test-util"]
